## com.thingmagic
Class Gen2.NXP.AES.Authenticate

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.Authenticate
                  com.thingmagic.Gen2.NXP.AES.Authenticate

Enclosing class:
  Gen2.NXP.AES

    public static class Gen2.NXP.AES.Authenticate

extends Gen2.Authenticate

Authenticate

Field Summary
`Gen2.NXP.AES` `aes` AES
`byte` `subCommand` SubCommand for Authenticate
`Gen2.NXP.AES.Tam1Authentication` `tam1` Tam1 Authentication
`Gen2.NXP.AES.Tam2Authentication` `tam2` Tam2 Authentication

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.NXP.AES.Authenticate(Gen2.NXP.AES.Tam1Authentication tam1)` Constructor to initialize authentication parameters
`Gen2.NXP.AES.Authenticate(Gen2.NXP.AES.Tam2Authentication tam2)` Constructor to initialize authentication parameters

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### aes

    public Gen2.NXP.AES aes

  AES

### subCommand

    public byte subCommand

  SubCommand for Authenticate

### tam1

    public Gen2.NXP.AES.Tam1Authentication tam1

  Tam1 Authentication

### tam2

    public Gen2.NXP.AES.Tam2Authentication tam2

  Tam2 Authentication

Constructor Detail

### Gen2.NXP.AES.Authenticate

    public Gen2.NXP.AES.Authenticate(Gen2.NXP.AES.Tam1Authentication tam1)

  Constructor to initialize authentication parameters

  Parameters:
    `tam1` - Tam1 Authentication

### Gen2.NXP.AES.Authenticate

    public Gen2.NXP.AES.Authenticate(Gen2.NXP.AES.Tam2Authentication tam2)

  Constructor to initialize authentication parameters

  Parameters:
    `tam2` - Tam2 Authentication

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Human-readable representation